/* ---------------------------------------------------------------------
     "wc_dsbev.h" - header for C wrapper for LAPACK DSBEV
             Copyright (c) 2005       by A. Miyoshi, Univ. Tokyo
--------------------------------------------------------------------- */
#ifndef _WC_DSBEV_H_
#define _WC_DSBEV_H_

#ifdef _WIN32
#define ENT_DSBEV DSBEV
#else
#define ENT_DSBEV dsbev_
#endif

extern
  void ENT_DSBEV(char *jobz, char *uplo, int *n, int *kd, double **ab,
   int *ldab, double *w, double **z, int *ldz, double *work, int *info);

int lapack_dsbev(char jobz, char uplo, int n, int kd, double **ab,
 int ldab, double *w, double **z, int ldz, double *work);

#endif
